# IRdChunkSystem Interface Reference

Inherits IDispatch.

List of all members.

## Public Member Functions
HRESULT | Clear (void)
HRESULT | SystemSnapshot ([in] RtBOOL bSaveImmediatelly)
HRESULT | RestoreSystem (void)
HRESULT | LoadSystemIntoMemory (void)
HRESULT | ReleaseSrcStream (void)

## Detailed Description

Chunk allows you to store the whole system settings.

## Member Function Documentation

HRESULT IRdChunkSystem::Clear | ( | void |  | ) |

Method clear the chunk

HRESULT IRdChunkSystem::SystemSnapshot | ( | [in] RtBOOL | bSaveImmediatelly | ) |

Save system snapshot

Parameters:

  | bSaveImmediatelly | [in] - if true then the system will be saved immediately into memory. If is specified, then the system will be saved directly to serialization stream together with this chunk.

Returns:
  Standard HRESULT processing can be applied to the result.

Remarks:
  Be careful when you are saving system into memory as it is memory expensive operation.

HRESULT IRdChunkSystem::RestoreSystem | ( | void |  | ) |

Restore stream from memory or source stream.
As the system data is memory expensive, the system stream is usually not loaded together with this chunk.
Instead the source stream handle is cloned and it is loaded after calling this method.
If you need to close the source stream handle, then call LoadSystemIntoMemory method to load the system into memory stream and then call ReleaseSrcStream to release the source stream.

Returns:
  Standard HRESULT processing can be applied to the result.

HRESULT IRdChunkSystem::LoadSystemIntoMemory | ( | void |  | ) |

Loads system stream from source stream into memory. Call this method if you need to close the source stream.

Returns:
  Standard HRESULT processing can be applied to the result.

Remarks:
  Be careful when you are loading system into memory as it is a memory expensive operation.

HRESULT IRdChunkSystem::ReleaseSrcStream | ( | void |  | ) |

Close and release the source stream if any.

Returns:
  Standard HRESULT processing can be applied to the result.